summaryrefslogtreecommitdiff
path: root/tests/readlink/can-m.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/readlink/can-m.sh')
-rwxr-xr-xtests/readlink/can-m.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/readlink/can-m.sh b/tests/readlink/can-m.sh
index 6d8ca8197..2eb13565a 100755
--- a/tests/readlink/can-m.sh
+++ b/tests/readlink/can-m.sh
@@ -38,7 +38,7 @@ cd "$pwd/$tmp/removed" || framework_failure_
# Skip this test if the system doesn't let you remove the working directory.
if rmdir ../removed 2>/dev/null; then
- v=$(readlink -e .) && fail=1
+ v=$(returns_ 1 readlink -e .) || fail=1
test -z "$v" || fail=1
fi